org.apache.commons.io.output

## Interface UncheckedAppendable

- All Superinterfaces:
    Appendable

      public interface UncheckedAppendable
      extends Appendable

  An `Appendable` that throws `UncheckedIOException` instead of `IOException`.
  Since:
    2.12.0
  See Also:
    `Appendable`, `IOException`, `UncheckedIOException`

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `UncheckedAppendable` | `append(char c)` Appends per `Appendable.append(char)` but rethrows `IOException` as `UncheckedIOException`.
    `UncheckedAppendable` | `append(CharSequence csq)` Appends per `Appendable.append(CharSequence)` but rethrows `IOException` as `UncheckedIOException`.
    `UncheckedAppendable` | `append(CharSequence csq, int start, int end)` Appends per `Appendable.append(CharSequence, int, int)` but rethrows `IOException` as `UncheckedIOException`.
    `static UncheckedAppendable` | `on(Appendable appendable)` Creates a new instance on the given Appendable.

- - ### Method Detail

    - #### on

          static UncheckedAppendable on(Appendable appendable)

      Creates a new instance on the given Appendable.
      Parameters:
        `appendable` - The Appendable to uncheck.
      Returns:
        a new instance.

    - #### append

          UncheckedAppendable append(char c)

      Appends per `Appendable.append(char)` but rethrows `IOException` as `UncheckedIOException`.
      Specified by:
        `append` in interface `Appendable`

    - #### append

          UncheckedAppendable append(CharSequence csq)

      Appends per `Appendable.append(CharSequence)` but rethrows `IOException` as `UncheckedIOException`.
      Specified by:
        `append` in interface `Appendable`

    - #### append

          UncheckedAppendable append(CharSequence csq,
                                     int start,
                                     int end)

      Appends per `Appendable.append(CharSequence, int, int)` but rethrows `IOException` as `UncheckedIOException`.
      Specified by:
        `append` in interface `Appendable`

Copyright © 2002–2023 The Apache Software Foundation. All rights reserved.